org.richfaces.component

## Enum LogMode

- java.lang.Object
- - java.lang.Enum<LogMode>
  - - org.richfaces.component.LogMode

- All Implemented Interfaces:
    Serializable, Comparable<LogMode>

      public enum LogMode
      extends Enum<LogMode>

  Author:
    Nick Belaevski

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `console`
    `inline`
    `popup`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LogMode` | `DEFAULT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LogMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### popup

          public static final LogMode popup

    - #### inline

          public static final LogMode inline

    - #### console

          public static final LogMode console

  - ### Field Detail

    - #### DEFAULT

          public static final LogMode DEFAULT

  - ### Method Detail

    - #### values

          public static LogMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogMode c : LogMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.